//
//  MuteModel.swift
//  WoWonder
//
//  Created by iMac on 12/07/23.
//  Copyright © 2023 ScriptSun. All rights reserved.
//

import Foundation

struct MuteModel: Codable {
    
    let notify: String?
    let call_chat: String?
    let archive: String?
    let fav: String?
    let pin: String?
    
    enum CodingKeys: String, CodingKey {
        case notify = "notify"
        case call_chat = "call_chat"
        case archive = "archive"
        case fav = "fav"
        case pin = "pin"
    }
    
    init(from decoder: Decoder) throws {
        let values = try decoder.container(keyedBy: CodingKeys.self)
        notify = try values.decodeIfPresent(String.self, forKey: .notify)
        call_chat = try values.decodeIfPresent(String.self, forKey: .call_chat)
        archive = try values.decodeIfPresent(String.self, forKey: .archive)
        fav = try values.decodeIfPresent(String.self, forKey: .fav)
        pin = try values.decodeIfPresent(String.self, forKey: .pin)
    }
    
}
